Imports System.Xml.Serialization
Imports System.IO

Public Class FMain
    Const CLASSMEMBER As Integer = 44
    Public PCN(44) As PCName
    Public Setting As Settings

    Private Sub FMain_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Click
        OKList.SelectedItems.Clear()
        MissList.SelectedItems.Clear()
    End Sub

    Private Sub FMain_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        If (BtnExec.Text = "~") Then
            MoveTimer.Enabled = False
        End If
        If (MessageBox.Show("I܂B낵łH", "I", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No) Then
            If (BtnExec.Text = "~") Then
                MoveTimer.Enabled = True
            End If
            e.Cancel = True
            Exit Sub
        End If
    End Sub


    Private Sub FMain_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim i, j As Integer
        SeatPanel.Rows.Clear()
        SeatPanel.Rows.Add(3)
        For i = 1 To 4
            For j = 1 To 11
                SeatPanel.Rows(i - 1).Cells(j - 1).Value = i + (j - 1) * 4
            Next
        Next

        For i = 1 To 44
            PCN(i) = New PCName
        Next
        Setting = New Settings

        Call ReadXML()

        For i = 1 To Setting.ClassNum
            CmbClass.Items.Add(i.ToString)
        Next
        CmbClass.Text = "1"
        CmbGrade.Text = "1"
        MoveTimer.Enabled = False
        MoveTimer.Interval = Setting.IntervalTime * 1000
        LoopStatus.Text = "~"
        GetStatus.Text = ""
    End Sub

    Function ReadXML() As Boolean
        Dim FName As String

        FName = Application.StartupPath + "\pcdata.xml"

        Dim serializer As New XmlSerializer(GetType(PCName()))
        Dim fs As IO.FileStream
        Try
            fs = New IO.FileStream(FName, IO.FileMode.Open)
            PCN = serializer.Deserialize(fs)
            fs.Close()
        Catch ex As Exception
            Call MessageBox.Show("pcdata.xml̓ǂݍ݂ŃG[܂B" + vbCrLf + ex.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
        End Try
        fs.Dispose()

        FName = Application.StartupPath + "\settings.xml"
        serializer = New XmlSerializer(GetType(Settings))
        Try
            fs = New IO.FileStream(FName, IO.FileMode.Open)
            Setting = serializer.Deserialize(fs)
            fs.Close()
        Catch ex As Exception
            Call MessageBox.Show("settings.xml̓ǂݍ݂ŃG[܂B" + vbCrLf + ex.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
        End Try

        Return True
    End Function

    Public Function WriteXMLpcdata() As Boolean
        Dim fname As String
        fname = Application.StartupPath + "\pcdata.xml"
        Dim serializer As New XmlSerializer(GetType(PCName()))
        Dim fs As New IO.FileStream(fname, IO.FileMode.Create)
        Try
            serializer.Serialize(fs, PCN)
        Catch ex As Exception
            Return False
        End Try
        fs.Close()
        Return True
    End Function

    Public Function WriteXMLsetting() As Boolean
        Dim fname As String
        fname = Application.StartupPath + "\settings.xml"
        Dim serializer As New XmlSerializer(GetType(Settings))
        Dim fs As New IO.FileStream(fname, IO.FileMode.Create)
        Try
            serializer.Serialize(fs, Setting)
        Catch ex As Exception
            Return False
        End Try
        fs.Close()
        Return True
    End Function

    Private Sub BtnSetting_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSetting.Click
        FSetting.Show()
    End Sub

    Private Sub UpdateNoMember()
        Dim nomem() As String
        Dim tmp As String
        Dim tmpval, t1 As Integer

        For i As Integer = 0 To 3
            For j As Integer = 0 To 10
                SeatPanel.Rows(i).Cells(j).Style.BackColor = Color.White
            Next
        Next
        If (Setting.NoMember <> "blank") Then
            nomem = Setting.NoMember.Split(",")
            For Each tmp In nomem
                If (tmp.Substring(0, 1) = CmbGrade.Text) Then
                    If (Val(tmp.Substring(1, 1)) = Val(CmbClass.Text)) Then
                        tmpval = Val(tmp.Substring(2, 2))
                        t1 = Int((tmpval - 1) / 4)
                        SeatPanel.Rows((tmpval - 1) Mod 4).Cells(t1).Style.BackColor = Color.Black
                    End If
                End If
            Next
        End If
    End Sub

    Private Sub CmbClass_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmbClass.SelectedIndexChanged
        Call UpdateNoMember()
    End Sub

    Private Sub CmbGrade_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles CmbGrade.SelectedIndexChanged
        Call UpdateNoMember()
    End Sub

    Private Sub BtnExec_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnExec.Click
        If (BtnExec.Text = "s") Then
            BtnExec.Text = "~"
            MoveTimer.Enabled = True
            LoopStatus.Text = "s"
        Else
            BtnExec.Text = "s"
            MoveTimer.Enabled = False
            LoopStatus.Text = "~"
            GetStatus.Text = ""
        End If
    End Sub

    Private Sub MoveTimer_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles MoveTimer.Tick
        Dim fs As String()
        Dim tmp, tmparg(1) As String
        Dim i, j, cnt, t1, t2 As Integer
        Dim dblflag, dualflag As Boolean

        If (LoopStatus.Text = "") Then
            Exit Sub
        End If
        LoopStatus.Text = ""
        cnt = 0
        For i = 1 To CLASSMEMBER
            dblflag = False
            dualflag = False
            If (PCN(i).DstPC <> "") Then
                Try
                    fs = Directory.GetFiles("\\" + PCN(i).DstPC + "\" + PCN(i).DstFolder)
                Catch ex As Exception
                    Call MessageBox.Show("tH_F\\" & PCN(i).DstPC + "\" + PCN(i).DstFolder + "̎擾ŃG[܂B" _
                        + vbCrLf + ex.Message, "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                    Call BtnExec_Click("", Nothing)
                    Exit Sub
                End Try
                For Each tmp In fs
                    Try
                        tmparg(0) = Path.GetFileNameWithoutExtension(tmp) + "_" + PCN(i).SourcePC
                        If (Dir(Setting.DstFolder + "\" + Path.GetFileNameWithoutExtension(tmp) + Path.GetExtension(tmp)) <> "") Then
                            tmparg(0) += "-dbl"
                            dualflag = True
                        End If
                        If (File.Exists(Setting.DstFolder + "\" + tmparg(0) + Path.GetExtension(tmp)) = False) Then
                            tmparg(0) += Path.GetExtension(tmp)
                            File.Move(tmp, Setting.DstFolder + "\" + tmparg(0))
                            cnt += 1
                        Else
                            j = 2
                            Do While (File.Exists(Setting.DstFolder + "\" + tmparg(0) + "_" + j.ToString("00") + Path.GetExtension(tmp)) = True)
                                j += 1
                            Loop
                            tmparg(0) += "_" + j.ToString("00") + Path.GetExtension(tmp)
                            File.Move(tmp, Setting.DstFolder + "\" + tmparg(0))
                            dblflag = True
                        End If
                        If (IsNumeric(Path.GetFileName(tmp).Substring(0, 4)) = False) Then
                            '擪4lłȂ
                            tmparg(1) = "SԍłȂ"
                            MissList.Items.Add(New ListViewItem(tmparg))
                            MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                        ElseIf (IsNumeric(Path.GetFileName(tmp).Substring(4, 1)) = True) Then
                            '5ڂl
                            tmparg(1) = "ԍ5ȏ"
                            MissList.Items.Add(New ListViewItem(tmparg))
                            MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                        ElseIf (StrConv(Path.GetFileName(tmp).Substring(0, 1), VbStrConv.Narrow) <> CmbGrade.Text _
                        Or StrConv(Path.GetFileName(tmp).Substring(1, 1), VbStrConv.Narrow) <> CmbClass.Text) Then
                            '擪2݂̊wNEgłȂ
                            tmparg(1) = "wN/g ԈႢ"
                            MissList.Items.Add(New ListViewItem(tmparg))
                            MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                        ElseIf (dblflag = True) Then
                            tmparg(1) = "t@C"
                            MissList.Items.Add(New ListViewItem(tmparg))
                        ElseIf (dualflag = True) Then
                            tmparg(1) = "ԍ"
                            MissList.Items.Add(New ListViewItem(tmparg))
                        Else
                            t1 = Val(StrConv(tmparg(0).Substring(2, 2), VbStrConv.Narrow))
                            t2 = Int((t1 - 1) / 4)
                            If (t1 = 0 Or t1 >= 45) Then
                                tmparg(1) = "ԍԈႢ"
                                MissList.Items.Add(New ListViewItem(tmparg))
                                MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                            Else
                                If (SeatPanel.Rows((t1 - 1) Mod 4).Cells(t2).Style.BackColor = Color.Gray) Then
                                    tmparg(1) = "Ȕԍ"
                                    MissList.Items.Add(New ListViewItem(tmparg))
                                    MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                                ElseIf (SeatPanel.Rows((t1 - 1) Mod 4).Cells(t2).Style.BackColor = Color.Black) Then
                                    tmparg(1) = ""
                                    MissList.Items.Add(New ListViewItem(tmparg))
                                    MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                                Else
                                    If (ChkExt(Path.GetExtension(tmp)) = False) Then
                                        tmparg(1) = "gqႢ"
                                        MissList.Items.Add(New ListViewItem(tmparg))
                                        MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                                    Else
                                        SeatPanel.Rows((t1 - 1) Mod 4).Cells(t2).Style.BackColor = Color.Yellow
                                        SeatPanel.Refresh()
                                        OKListTmp.Items.Add(tmparg(0))
                                    End If
                                End If
                            End If
                        End If
                    Catch ex As Exception
                        Call MessageBox.Show("t@CɃG[܂B" & vbCrLf & "G[t@CF" & tmp.ToString, _
                            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                        Exit Sub
                    End Try
                Next
            End If
        Next
        LoopStatus.Text = "s"
        If (cnt <> 0) Then
            GetStatus.Text = cnt.ToString + "t@C܂"
        Else
            GetStatus.Text = ""
        End If
        OKListTmp.Sorting = SortOrder.Ascending
        OKListTmp.Sort()
        For i = 0 To OKListTmp.Items.Count - 1
            OKList.Items.Add(OKListTmp.Items(i).Text)
        Next
        OKListTmp.Items.Clear()
        If (CompCheck() = True) Then
            MoveTimer.Enabled = False
            LoopStatus.Text = "~"
            GetStatus.Text = ""
            BtnExec.Text = "s"
            Splash.ShowDialog()
        End If
    End Sub

    Private Function ChkExt(ByVal Ext As String) As Boolean
        If (TxtExt.Text = "") Then
            Return True
        End If
        Dim ExtAry() As String
        ExtAry = TxtExt.Text.Split(",")
        For Each tmp As String In ExtAry
            If ("." & tmp.ToUpper = Ext.ToUpper) Then
                Return True
            End If
        Next
        Return False
    End Function

    Private Function CompCheck() As Boolean
        For i As Integer = 0 To 10
            For j As Integer = 0 To 3
                If (SeatPanel.Rows(j).Cells(i).Style.BackColor = Color.White) Then
                    Return False
                End If
            Next
        Next
        Return True
    End Function

    Private Sub BtnMissDel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnMissDel.Click
        Dim i As Integer

        If (MissList.SelectedItems.Count = 0) Then
            Call MessageBox.Show("t@CIĂ܂", "I", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If
        For i = 0 To MissList.SelectedItems.Count - 1
            File.Delete(Setting.DstFolder + "\" + MissList.SelectedItems(i).Text)
        Next
        i = 0
        Do While (i <= MissList.Items.Count - 1)
            If (MissList.Items(i).Selected = True) Then
                MissList.Items(i).Remove()
            Else
                i += 1
            End If
        Loop
    End Sub

    Private Sub SeatPanel_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles SeatPanel.CellDoubleClick
        If (SeatPanel.Rows(e.RowIndex).Cells(e.ColumnIndex).Style.BackColor = Color.Gray) Then
            SeatPanel.Rows(e.RowIndex).Cells(e.ColumnIndex).Style.BackColor = Color.White
        ElseIf (SeatPanel.Rows(e.RowIndex).Cells(e.ColumnIndex).Style.BackColor = Color.White) Then
            SeatPanel.Rows(e.RowIndex).Cells(e.ColumnIndex).Style.BackColor = Color.Gray
        End If
        SeatPanel.CurrentCell = Nothing
    End Sub

    Private Sub SeatPanel_CellMouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles SeatPanel.CellMouseUp
        If (e.Button = Windows.Forms.MouseButtons.Right) Then
            SeatPanel.Rows(e.RowIndex).Cells(e.ColumnIndex).Selected = True
        End If
    End Sub

    Private Sub SubMenuOff_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SubMenuOff.Click
        SeatPanel.Rows(SeatPanel.SelectedCells(0).RowIndex).Cells(SeatPanel.SelectedCells(0).ColumnIndex).Style.BackColor = Color.White
    End Sub

    Private Sub SubMenuAbs_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SubMenuAbs.Click
        SeatPanel.Rows(SeatPanel.SelectedCells(0).RowIndex).Cells(SeatPanel.SelectedCells(0).ColumnIndex).Style.BackColor = Color.Gray
    End Sub

    Private Sub SubMenuDel_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim i, num As Integer

        num = SeatPanel.SelectedCells(0).RowIndex * 10 + SeatPanel.SelectedCells(0).ColumnIndex + 1
        For i = 0 To OKList.Items.Count - 1
            If (InStr(OKList.Items(i).Text, PCN(num).SourcePC.ToString & ".", CompareMethod.Text) <> 0) Then
                File.Delete(Setting.DstFolder + "\" + OKList.Items(i).Text)
                OKList.Items(i).Remove()
            End If
        Next
    End Sub

    Private Sub BtnOKDel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnOKDel.Click
        Dim i As Integer

        If (OKList.SelectedItems.Count = 0) Then
            Call MessageBox.Show("t@CIĂ܂", "I", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If
        If (MessageBox.Show("Iꂽt@C폜܂B낵łH", "mF", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No) Then
            Exit Sub
        End If
        For i = 0 To OKList.SelectedItems.Count - 1
            File.Delete(Setting.DstFolder + "\" + OKList.SelectedItems(i).Text)
        Next
        i = 0
        Do While (i <= OKList.Items.Count - 1)
            If (OKList.Items(i).Selected = True) Then
                OKList.Items(i).Remove()
            Else
                i += 1
            End If
        Loop
    End Sub

    Private Sub BtnConv_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnConv.Click
        Dim i As Integer
        Dim tmp, tmp2 As String

        For i = 0 To OKList.Items.Count - 1
            tmp = OKList.Items(i).Text
            If (tmp <> StrConv(tmp, VbStrConv.Narrow)) Then
                tmp2 = StrConv(tmp, VbStrConv.Narrow)
                tmp2 = tmp2.Replace(" ", "")
                tmp2 = tmp2.Replace("@", "")
                If (Dir(Setting.DstFolder + "\" + tmp2) = "") Then
                    OKList.Items(i).Text = tmp2
                    File.Move(Setting.DstFolder + "\" + tmp, Setting.DstFolder + "\" + OKList.Items(i).Text)
                Else
                    Call MessageBox.Show("t@C:" & OKList.Items(i).Text & "́Apɕϊƃt@Cd܂B" & _
                        "ϊs܂B", "dt@C", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                End If
            End If
        Next
    End Sub

    Private Sub BtnSort_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSort.Click
        For i As Integer = 0 To OKList.Items.Count - 1
            OKListTmp.Items.Add(OKList.Items(i).Text)
        Next
        OKListTmp.Sorting = SortOrder.Ascending
        OKListTmp.Sort()

        OKList.Items.Clear()
        For i As Integer = 0 To OKListTmp.Items.Count - 1
            OKList.Items.Add(OKListTmp.Items(i).Text)
        Next
        OKListTmp.Items.Clear()
        OKList.Refresh()
    End Sub

    Private Sub BtnReset_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnReset.Click
        Dim fs As String()
        Dim tmparg(2) As String
        Dim tmp As String
        Dim i, j As Integer

        For i = 0 To 3
            For j = 0 To 10
                If (SeatPanel.Rows(i).Cells(j).Style.BackColor <> Color.Black And SeatPanel.Rows(i).Cells(j).Style.BackColor <> Color.Gray) Then
                    SeatPanel.Rows(i).Cells(j).Style.BackColor = Color.White
                End If
            Next
        Next
        OKList.Clear()
        MissList.Items.Clear()

        fs = Directory.GetFiles(Setting.DstFolder + "\")
        For Each tmp In fs
            tmparg(0) = Path.GetFileName(tmp)
            If (IsNumeric(tmparg(0).Substring(0, 4)) = False) Then
                '擪4lłȂ
                tmparg(1) = "SԍłȂ"
                MissList.Items.Add(New ListViewItem(tmparg))
                MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
            ElseIf (IsNumeric(tmparg(0).Substring(4, 1)) = True) Then
                '5ڂl
                tmparg(1) = "ԍTȏ"
                MissList.Items.Add(New ListViewItem(tmparg))
                MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
            ElseIf (StrConv(tmparg(0).Substring(0, 1), VbStrConv.Narrow) <> CmbGrade.Text _
            Or StrConv(tmparg(0).Substring(1, 1), VbStrConv.Narrow) <> CmbClass.Text) Then
                '擪2݂̊wNEgłȂ
                tmparg(1) = "wN/g ԈႢ"
                MissList.Items.Add(New ListViewItem(tmparg))
                MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
            ElseIf (IsNumeric(Path.GetFileNameWithoutExtension(tmp).Substring(Path.GetFileNameWithoutExtension(tmp).Length - 2)) = True _
                And Path.GetFileNameWithoutExtension(tmp).Substring(Path.GetFileNameWithoutExtension(tmp).Length - 3, 1) = "_") Then
                tmparg(1) = "t@C"
                MissList.Items.Add(New ListViewItem(tmparg))
            ElseIf (InStr(tmparg(0), "-dbl") > 0) Then
                tmparg(1) = "ԍ"
                MissList.Items.Add(New ListViewItem(tmparg))
            Else
                i = Val(StrConv(tmparg(0).Substring(2, 2), VbStrConv.Narrow))
                j = Int((i - 1) / 4)
                If (i = 0 Or i >= 45) Then
                    tmparg(1) = "ԍԈႢ"
                    MissList.Items.Add(New ListViewItem(tmparg))
                    MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                Else
                    If (SeatPanel.Rows((i - 1) Mod 4).Cells(j).Style.BackColor = Color.Gray) Then
                        tmparg(1) = "Ȕԍ"
                        MissList.Items.Add(New ListViewItem(tmparg))
                        MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                    ElseIf (SeatPanel.Rows((i - 1) Mod 4).Cells(j).Style.BackColor = Color.Black) Then
                        tmparg(1) = ""
                        MissList.Items.Add(New ListViewItem(tmparg))
                        MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                    Else
                        If (ChkExt(Path.GetExtension(tmp)) = False) Then
                            tmparg(1) = "gqႢ"
                            MissList.Items.Add(New ListViewItem(tmparg))
                            MissList.Items(MissList.Items.Count - 1).ForeColor = Color.Red
                        Else
                            SeatPanel.Rows((i - 1) Mod 4).Cells(j).Style.BackColor = Color.Yellow
                            OKList.Items.Add(tmparg(0))
                        End If
                    End If
                End If
            End If
        Next
    End Sub

    Private Sub BtnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnClose.Click
        Me.Close()
    End Sub

    Private Sub SubMenuOn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SubMenuOn.Click
        SeatPanel.Rows(SeatPanel.SelectedCells(0).RowIndex).Cells(SeatPanel.SelectedCells(0).ColumnIndex).Style.BackColor = Color.Yellow
    End Sub

    Private Sub BtnMissDelAll_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnMissDelAll.Click
        If (MessageBox.Show("ԈႢt@Cׂč폜܂H", "폜mF", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No) Then
            Exit Sub
        End If
        For i As Integer = 0 To MissList.Items.Count - 1
            File.Delete(Setting.DstFolder + "\" + MissList.Items(i).Text)
        Next
        MissList.Items.Clear()
    End Sub

    Private Sub BtnStatusCopy_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnStatusCopy.Click
        Dim Dat As String = ""
        For i As Integer = 0 To 10
            For j As Integer = 0 To 3
                Select Case SeatPanel.Rows(j).Cells(i).Style.BackColor
                    Case Color.White
                        Dat += "o"
                    Case Color.Yellow
                        Dat += "OK"
                    Case Color.Black
                        Dat += "-"
                    Case Color.Gray
                        Dat += ""
                End Select
                Dat += vbCrLf
            Next
        Next
        Call Clipboard.SetDataObject(Dat)
        Call MessageBox.Show("o󋵂Nbv{[hɋL^܂B", "L^", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub

    Private Sub SeatPanel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SeatPanel.Click
        SeatPanel.CurrentCell = Nothing
    End Sub

    Private Sub FMain_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        SeatPanel.CurrentCell = Nothing
    End Sub
End Class

Public Class PCName
    Public SourcePC As String
    Public DstFolder As String
    Public DstPC As String
End Class

Public Class Settings
    Public DstFolder As String
    Public IntervalTime As Integer
    Public ClassNum As Integer
    Public NoMember As String
End Class
