Public Class FSetting
    Dim ChgFlag(2) As Boolean

    Private Sub FSetting_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim i As Integer
        Dim NoMember() As String

        ChgFlag(1) = False
        ChgFlag(2) = False

        TxtClassNum.Text = FMain.Setting.ClassNum.ToString
        TxtDstFolder.Text = FMain.Setting.DstFolder
        TxtInterval.Text = FMain.Setting.IntervalTime.ToString

        GridRelation.Rows.Clear()
        For i = 1 To 44
            GridRelation.Rows.Add()
            GridRelation.Rows(i - 1).Cells(0).Value = FMain.PCN(i).SourcePC
            GridRelation.Rows(i - 1).Cells(1).Value = FMain.PCN(i).DstPC
            GridRelation.Rows(i - 1).Cells(2).Value = FMain.PCN(i).DstFolder
            GridRelation.Rows(i - 1).HeaderCell.Value = i.ToString
        Next i

        GridNoMember.Rows.Clear()

        NoMember = FMain.Setting.NoMember.Split(",")
        For Each tmp As String In NoMember
            If (tmp <> "blank") Then
                GridNoMember.Rows.Add(tmp.Substring(0, 1), Val(tmp.Substring(1, 1)).ToString, Val(tmp.Substring(2, 2)).ToString)
            End If
        Next
    End Sub

    Private Sub BtnOK_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BtnOK.Click
        Dim tmp As String = ""

        If (ChgFlag(1) = True) Then
            For i As Integer = 0 To GridNoMember.RowCount - 1
                If (GridNoMember.Rows(i).Cells(0).Value <> "" And GridNoMember.Rows(i).Cells(1).Value <> "" _
                    And GridNoMember.Rows(i).Cells(2).Value <> "") Then
                    If (IsNumeric(GridNoMember.Rows(i).Cells(0).Value) = False Or _
                                    IsNumeric(GridNoMember.Rows(i).Cells(1).Value) = False Or _
                                    IsNumeric(GridNoMember.Rows(i).Cells(2).Value) = False) Then
                        MessageBox.Show("̓G[ł" & vbCrLf & (i - 1).ToString & "s", "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                        Exit Sub
                    End If
                    tmp += Format(Val(GridNoMember.Rows(i).Cells(0).Value), "0") & _
                        Format(Val(GridNoMember.Rows(i).Cells(1).Value), "0") & Format(Val(GridNoMember.Rows(i).Cells(2).Value), "00") & ","
                End If
            Next
            If (IsNumeric(TxtClassNum.Text) = False) Then
                Call MessageBox.Show("NX̓̓G[łB", "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
            If (IsNumeric(TxtInterval.Text) = False) Then
                Call MessageBox.Show("擾Ԋu̓̓G[łB", "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
            If (TxtDstFolder.Text = "") Then
                Call MessageBox.Show("ۑ悪Ă܂B", "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
            If (GridNoMember.RowCount > 1) Then
                tmp = tmp.Substring(0, tmp.Length - 1)
                FMain.Setting.NoMember = tmp
            Else
                FMain.Setting.NoMember = "blank"
            End If
            FMain.Setting.ClassNum = Val(TxtClassNum.Text)
            FMain.Setting.DstFolder = TxtDstFolder.Text
            FMain.Setting.IntervalTime = Val(TxtInterval.Text)
            If (FMain.WriteXMLsetting = False) Then
                MessageBox.Show("ݒۑł܂łB", "ۑG[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
            FMain.CmbClass.Items.Clear()
            For i As Integer = 1 To FMain.Setting.ClassNum
                FMain.CmbClass.Items.Add(i.ToString)
            Next
            FMain.CmbClass.Text = 1
        End If
        If (ChgFlag(2) = True) Then
            For i As Integer = 0 To GridRelation.RowCount - 1
                FMain.PCN(i + 1).SourcePC = GridRelation.Rows(i).Cells(0).Value
                FMain.PCN(i + 1).DstPC = GridRelation.Rows(i).Cells(1).Value
                FMain.PCN(i + 1).DstFolder = GridRelation.Rows(i).Cells(2).Value
            Next
            If (FMain.WriteXMLpcdata = False) Then
                MessageBox.Show("ݒۑł܂łB", "ۑG[", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
        End If
        Me.Dispose()
    End Sub

    Private Sub TxtClassNum_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TxtClassNum.TextChanged
        ChgFlag(1) = True
    End Sub

    Private Sub TxtDstFolder_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TxtDstFolder.TextChanged
        ChgFlag(1) = True
    End Sub

    Private Sub TxtInterval_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TxtInterval.TextChanged
        ChgFlag(1) = True
    End Sub

    Private Sub GridNoMember_CellValueChanged(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles GridNoMember.CellValueChanged
        ChgFlag(1) = True
    End Sub

    Private Sub GridNoMember_RowsAdded(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewRowsAddedEventArgs) Handles GridNoMember.RowsAdded
        ChgFlag(1) = True
    End Sub

    Private Sub GridNoMember_RowsRemoved(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewRowsRemovedEventArgs) Handles GridNoMember.RowsRemoved
        ChgFlag(1) = True
    End Sub

    Private Sub GridRelation_CellValueChanged(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles GridRelation.CellValueChanged
        ChgFlag(2) = True
    End Sub

    Private Sub BtnCanc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnCanc.Click
        Me.Dispose()
    End Sub

    Private Sub BtnFolder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnFolder.Click
        FolderDlg.ShowDialog()
        TxtDstFolder.Text = FolderDlg.SelectedPath
    End Sub

    Private Sub BtnLoadExcel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnLoadExcel.Click
        Dim Cdata As IDataObject
        Dim DataLine() As String
        Dim DataCell() As String
        Dim i As Integer

        Cdata = Clipboard.GetDataObject
        If (Cdata.GetDataPresent(DataFormats.Text) = True) Then
            DataLine = CType(Cdata.GetData(DataFormats.Text), String).Split(vbCrLf)
            i = 0
            For Each tmp As String In DataLine
                If (tmp <> Chr(10)) Then
                    DataCell = tmp.Split(Chr(9))
                    If (UBound(DataCell) <> 2) Then
                        Call MessageBox.Show("Nbv{[h̃f[^sł", "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                        Exit Sub
                    End If
                    If (Asc(DataCell(0).Substring(0, 1)) = 10) Then
                        DataCell(0) = DataCell(0).Substring(1)
                    End If
                    GridRelation.Rows(i).Cells(0).Value = DataCell(0)
                    GridRelation.Rows(i).Cells(1).Value = DataCell(1)
                    GridRelation.Rows(i).Cells(2).Value = DataCell(2)
                    i += 1
                    If (i > GridRelation.Rows.Count) Then Exit For
                End If
            Next
        Else
            Call MessageBox.Show("eLXg`ł͂܂", "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If
    End Sub

    Private Sub BtnLoadExcelNum_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnLoadExcelNum.Click
        Dim Cdata As IDataObject
        Dim DataLine() As String
        Dim DataCell() As String
        Dim i As Integer

        Cdata = Clipboard.GetDataObject
        If (Cdata.GetDataPresent(DataFormats.Text) = True) Then
            DataLine = CType(Cdata.GetData(DataFormats.Text), String).Split(vbCrLf)
            i = GridNoMember.Rows.Count - 1
            For Each tmp As String In DataLine
                If (tmp <> Chr(10)) Then
                    DataCell = tmp.Split(Chr(9))
                    If (UBound(DataCell) <> 2) Then
                        Call MessageBox.Show("Nbv{[h̃f[^sł", "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                        Exit Sub
                    End If
                    GridNoMember.Rows.Add()
                    GridNoMember.Rows(i).Cells(0).Value = DataCell(0)
                    GridNoMember.Rows(i).Cells(1).Value = DataCell(1)
                    GridNoMember.Rows(i).Cells(2).Value = DataCell(2)
                    i += 1
                End If
            Next
        Else
            Call MessageBox.Show("eLXg`ł͂܂", "G[", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If
    End Sub

    Private Sub BtnRelClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnRelClear.Click
        If (MessageBox.Show("֘AÂNA܂H", "폜mF", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No) Then
            Exit Sub
        End If
        For i As Integer = 0 To 43
            GridRelation.Rows(i).Cells(0).Value = ""
            GridRelation.Rows(i).Cells(1).Value = ""
            GridRelation.Rows(i).Cells(2).Value = ""
        Next
    End Sub

    Private Sub BtnNoClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnNoClear.Click
        If (MessageBox.Show("ԂNA܂H", "폜mF", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.No) Then
            Exit Sub
        End If
        GridNoMember.Rows.Clear()
    End Sub
End Class